%global pypi_name case

# docs depend on package sphinx_celery
# https://github.com/celery/sphinx_celery
%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.5.3
Release:        %mkrel 4
Summary:        Python unittest Utilities
Group:          Development/Python
License:        BSD
URL:            http://github.com/celery/case
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{summary}

%package -n     python3-%{pypi_name}
Summary:        Python unittest Utilities
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(coverage) >= 3.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(unittest2)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(six)
Requires:       python3dist(setuptools) >= 0.7
Requires:       python3dist(nose) >= 1.3.7
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
%{summary}

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        case documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-celery)

%description -n python-%{pypi_name}-doc
Documentation for case
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/templates/readme.txt README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%endif


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.5.3-4.mga8
+ Revision: 1532728
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.5.3-3.mga8
+ Revision: 1442922
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 18 2019 wally <wally> 1.5.3-2.mga8
+ Revision: 1429669
- update sphinx BR

* Sun Jan 13 2019 wally <wally> 1.5.3-1.mga7
+ Revision: 1355966
- new version 1.5.3

* Mon Jan 07 2019 shlomif <shlomif> 1.5.2-8.mga7
+ Revision: 1350994
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.2-7.mga7
+ Revision: 1288398
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 tv <tv> 1.5.2-6.mga7
+ Revision: 1169040
- add BR on python2dist(mock) thus fixing build

* Sun Sep 10 2017 ngompa <ngompa> 1.5.2-5.mga7
+ Revision: 1152398
- Adapt for Mageia
- imported package python-case


* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 02 2017 Matthias Runge <mrunge@redhat.com> - 1.5.2-2
- add missing builddeps: python[23]-unittest2, python[23]-nose

* Tue Dec 27 2016 Matthias Runge <mrunge@redhat.com> - 1.5.2-1
- Initial package. (rhbz#1408868)
